# DataExchange
TKXSBase
Transfer

# Transfer_FinderProcess Class Reference

Adds specific features to the generic definition :
PrintTrace is adapted
.

`#include <Transfer_FinderProcess.hxx>`

Inheritance diagram for Transfer_FinderProcess:

[legend]

## Public Member Functions

Standard_EXPORT | Transfer_FinderProcess (const Standard_Integer nb=10000)
| Sets FinderProcess at initial state, with an initial size .
Standard_EXPORT void | SetModel (const Handle(Interface_InterfaceModel)&model)
| Sets an InterfaceModel, which can be used during transfer for instance if a context must be managed, it is in the Model .
Standard_EXPORT Handle_Interface_InterfaceModel | Model () const
| Returns the Model which can be used for context .
Standard_EXPORT Standard_Integer | NextMappedWithAttribute (const Standard_CString name, const Standard_Integer num0) const

In the list of mapped items (between 1 and NbMapped),
searches for the first mapped item which follows <num0>
(not included) and which has an attribute named <name>
The considered Attributes are those brought by Finders,i.e.
by Input data.
While NextItemWithAttribute works on Result data (Binders)
Hence, allows such an iteration
for (num = FP->NextMappedWithAttribute(name,0);
num > 0;
num = FP->NextMappedWithAttribute(name,num) {
.. process mapped item <num>
}
.

Standard_EXPORT Handle_Transfer_TransientMapper | TransientMapper (const Handle(Standard_Transient)&obj) const
| Returns a TransientMapper for a given Transient Object Either <obj> is already mapped, then its Mapper is returned Or it is not, then a new one is created then returned, BUT it is not mapped here (use Bind or FindElseBind to do this) .
virtual Standard_EXPORT void | PrintTrace (const Handle(Transfer_Finder)&start, const Handle(Message_Messenger)&S) const
| Specific printing to trace a Finder (by its method ValueType) .
Standard_EXPORT void | PrintStats (const Standard_Integer mode, const Handle(Message_Messenger)&S) const
| Prints statistics on a given output, according mode .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Interface_InterfaceModel | themodel

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_FinderProcess::Transfer_FinderProcess | ( | const Standard_Integer | nb = `10000` | ) |

## Member Function Documentation

Standard_EXPORT const Transfer_FinderProcess::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Transfer_ProcessForFinder.

Standard_EXPORT Handle_Interface_InterfaceModel Transfer_FinderProcess::Model | ( |  | ) | const

Standard_EXPORT Standard_Integer Transfer_FinderProcess::NextMappedWithAttribute | ( | const Standard_CString | name,
|  | const Standard_Integer | num0
| ) | const

Standard_EXPORT void Transfer_FinderProcess::PrintStats | ( | const Standard_Integer | mode,
|  | const Handle(Message_Messenger)& | S
| ) | const

virtual Standard_EXPORT void Transfer_FinderProcess::PrintTrace | ( | const Handle(Transfer_Finder)& | start,
|  | const Handle(Message_Messenger)& | S
| ) | const`[virtual]`

| Reimplemented from Transfer_ProcessForFinder.

Standard_EXPORT void Transfer_FinderProcess::SetModel | ( | const Handle(Interface_InterfaceModel)& | model | ) |

Standard_EXPORT Handle_Transfer_TransientMapper Transfer_FinderProcess::TransientMapper | ( | const Handle(Standard_Transient)& | obj | ) | const

## Field Documentation

Handle_Interface_InterfaceModel Transfer_FinderProcess::themodel `[private]`

The documentation for this class was generated from the following file:

- Transfer_FinderProcess.hxx